Package ch.qos.logback.core.joran.event.stax

# Class StartEvent

java.lang.Object
ch.qos.logback.core.joran.event.stax.StaxEvent
ch.qos.logback.core.joran.event.stax.StartEvent

public class StartEvent extends StaxEvent

## Field Summary

Fields
Modifier and Type
Field
Description
`ElementPath`
`elementPath`

## Method Summary

Modifier and Type
Method
Description
`List<Attribute>`
`getAttributeList()`
`ElementPath`
`getElementPath()`
`String`
`toString()`

### Methods inherited from class ch.qos.logback.core.joran.event.stax.StaxEvent

`getLocation, getName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### elementPath

public ElementPath elementPath

## Method Details

### getElementPath

public ElementPath getElementPath()

### getAttributeList

public List<Attribute> getAttributeList()

### toString

public String toString()

Overrides:
  `toString` in class `Object`